Summary:	Zend Optimizer - PHP code optimizer
Name:		php-zend-optimizer
Version:	3.3.9
Release:	1%{?dist}
License:	Zend License, distributable only if unmodified and for free (see LICENSE)
Group:		Development/Languages
Source0:	http://downloads.zend.com/optimizer/3.3.3/ZendOptimizer-%{version}-linux-glibc23-i386.tar.gz
Source1:	http://downloads.zend.com/optimizer/3.3.3/ZendOptimizer-%{version}-linux-glibc23-x86_64.tar.gz
URL:		http://www.zend.com/products/zend_optimizer
BuildRequires:	tar >= 1:1.15.1
Conflicts:	php-xcache php-zend-loader
ExclusiveArch:	i386 x86_64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	php >= 5.0.4


%description
Zend Optimizer - PHP code optimizer.


%prep
%setup -T -q -c -n ZendOptimizer-%{version}
%ifarch i386
%{__tar} --strip-components=1 -zxf %{SOURCE0}
%endif
%ifarch x86_64
%{__tar} --strip-components=1 -zxf %{SOURCE1}
%endif


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}/%{_libdir}/php/zend/
%{__install} -m 755 data/4_2_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_4.2.so
%{__install} -m 755 data/4_3_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_4.3.so
%{__install} -m 755 data/4_4_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_4.4.so
%{__install} -m 755 data/5_0_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_5.0.so
%{__install} -m 755 data/5_1_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_5.1.so
%{__install} -m 755 data/5_2_x_comp/ZendOptimizer.so %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_5.2.so
%{__mkdir_p} -m 755 %{buildroot}/%{_datadir}/zend/
%{__mkdir_p} -m 755 %{buildroot}/%{_sysconfdir}/php.d/
echo "; Zend Optimizer" > %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "[Zend]" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "zend_optimizer.optimization_level=15" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "zend_optimizer.license_path=%{_datadir}/zend/" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
%define php_ver $(php -r "echo PHP_VERSION;" | cut -d. -f1-2)
if [ -f %{buildroot}/%{_libdir}/php/zend/ZendOptimizer_%{php_ver}.so ]; then
  echo "zend_extension=%{_libdir}/php/zend/ZendOptimizer_%{php_ver}.so" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
else
  echo "zend_extension=%{_libdir}/php/zend/ZendOptimizer_5.1.so" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
fi


%clean
%{__rm} -rf %{buildroot}


%post
if [ "$1" -ge 1 ]; then
  /sbin/service httpd condrestart >/dev/null
fi


%postun
if [ "$1" -ge 1 ]; then
  /sbin/service httpd condrestart >/dev/null
fi


%files
%defattr(-,root,root)
%doc EULA-ZendOptimizer LICENSE README-ZendOptimizer data/poweredbyoptimizer.gif
%config %{_sysconfdir}/php.d/zendoptimizer.ini
%{_libdir}/php/zend/ZendOptimizer_*.so
%dir %{_datadir}/zend/


%changelog
* Tue Aug 26 2010 Ernani Azevedo <azevedo@voipdomain.io> - 3.3.9-1
- First build script
